  # 开发环境配置文件
spring:
  # 数据库配置
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://110.42.189.169:3306/chdtushu?useSSL=false&serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=utf-8&allowPublicKeyRetrieval=true
    username: chdtushu
    password: chdtushu
    filters: stat
    max-active: 5000
    initial-size: 20
    max-wait: 6000
    min-idle: 1
    time-between-eviction-runs-millis: 60000
    min-evictable-idle-time-millis: 300000
    test-while-idle: true
    test-on-borrow: false
    test-on-return: false
    pool-prepared-statements: true
    max-open-prepared-statements: 1000
    async-init: true

# 开启文档
swagger:
  enable: true

logging:
  level:
    root: info
  path: logs/${spring.application.name}/
